Page MenuHomePhabricator

Unable to mark translatable pages for translation, need to add &do=mark to the URL
Closed, ResolvedPublic

Description

Starting today, I noticed that Special:PageTranslation for some reason produces a button that simply says "Confirm" when requesting to mark a page for translation

. However, selecting confirm fails to mark the page for translation, and results in a blank screen
and no apparent action has been taken to update the page given new changes
.

I've attached some screenshots to document this. If anyone knows who to assign this to, help would be appreciated.

Edit: @Nemo_bis , I've added you here since you're active using this extension and might know who to reach out to better than I do.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2016, 8:25 PM
I_JethroBT triaged this task as High priority.Mar 2 2016, 8:25 PM
I_JethroBT updated the task description. (Show Details)Mar 2 2016, 9:37 PM
I_JethroBT updated the task description. (Show Details)
I_JethroBT added a subscriber: Nemo_bis.
jeblad added a subscriber: jeblad.Mar 3 2016, 1:50 AM

Thank you reporting this issue.

You can use any of the following to work-arounds:

  1. Append &do=mark to the url
  2. Go via Special:PageTranslation
Nemo_bis added a comment.EditedMar 3 2016, 9:28 AM

I just experienced this bug myself and I saw this report while uploading my screenshot (F3513165).

As Nikerabbit said, the URL now provided by the "banner" at the top of a modified translatable page is wrong, as the domark is missing: https://meta.wikimedia.org/w/index.php?title=Special:PageTranslation&target=Affiliate-selected+Board+seats%2F2016%2FNominations%2FChristophe+Henner

Nemo_bis renamed this task from PageTranslation failing to update pages when changes occur to PageTranslation failing to re-mark pages for translation.Mar 3 2016, 9:29 AM
Elitre added a subscriber: Elitre.Mar 3 2016, 11:06 AM
Nikerabbit renamed this task from PageTranslation failing to re-mark pages for translation to Unable to mark translatable pages for translation.Mar 3 2016, 3:34 PM

Change 274793 had a related patch set uploaded (by Nikerabbit):
Fix regression in marking page for translation

https://gerrit.wikimedia.org/r/274793

Change 274793 merged by jenkins-bot:
Fix regression in marking page for translation

https://gerrit.wikimedia.org/r/274793

Patch is merged, but I am not going to stay up till 3 am for SWAT and there are no other SWAT windows this week, so the fix is not going to be deployed until next week unless someone wants to champion the patch in my stead.

Rillke added a subscriber: Rillke.Mar 3 2016, 9:28 PM
Arrbee edited projects, added LE-CX8-Sprint break; removed LE-CX8-Sprint 3.
Matiia added a subscriber: Matiia.Mar 4 2016, 4:09 PM
Glaisher raised the priority of this task from High to Unbreak Now!.Mar 4 2016, 4:21 PM
Glaisher added subscribers: Vogone, Stryn, Glaisher.

This is pretty UBN as it's preventing from marking new changes for translation. Is there any way to get it deployed before next week's SWAT?

Glaisher lowered the priority of this task from Unbreak Now! to High.Mar 4 2016, 4:24 PM

Ah, there's a workaround. OK, in that case.

Kbrown added a subscriber: Kbrown.Mar 4 2016, 7:59 PM
Nemo_bis renamed this task from Unable to mark translatable pages for translation to Unable to mark translatable pages for translation, need to add &do=mark to the URL.Mar 5 2016, 5:43 PM
Base added a comment.Mar 5 2016, 9:45 PM

Erm, devs break things and then say that they are too lazy to fix them?

That comment is uncalled for, @Base. Please remove it.

Translate developers already fixed the bug.

Change 275366 had a related patch set uploaded (by KartikMistry):
Fix regression in marking page for translation

https://gerrit.wikimedia.org/r/275366

Elitre added a comment.Mar 7 2016, 9:02 AM

T129044 may be related.

@Base: Please stick to criticizing ideas, not people. Thanks for keeping Phabricator a respectful place.

Change 275366 merged by jenkins-bot:
Fix regression in marking page for translation

https://gerrit.wikimedia.org/r/275366

KartikMistry moved this task from Backlog to Done on the LE-CX8-Sprint break board.Mar 8 2016, 1:50 PM
Arrbee closed this task as Resolved.Mar 9 2016, 8:04 AM